Subject: Re: [PATCH v4 2/2] revision: implement `git log --merge` also for rebase/cherry-pick/revert

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Feb 2024 10:27:40 -0800

Johannes Sixt <[email-masked]> writes:

> Am 11.02.24 um 17:43 schrieb Philippe Blain:
>> Hi Johannes,
>> 
>> Le 2024-02-11 à 03:34, Johannes Sixt a écrit :
>> 
>>>> Adjust the documentation of this option accordingly.
>>>>
>>>> Co-authored-by: Philippe Blain <[email-masked]>
>>>> Co-authored-by: Johannes Sixt <[email-masked]>
>>>> Signed-off-by: Philippe Blain <[email-masked]>
>>>> Signed-off-by: Michael Lohmann <[email-masked]>
>>>> [jc: tweaked in j6t's precedence fix that tries REBASE_HEAD last]
>>>> Signed-off-by: Junio C Hamano <[email-masked]>
>>>
>>> Signed-off-by trailers should occur in temporal order. Therefore, when
>>> you pick up a commit and resend it, you should keep existing
>>> Signed-off-by and add yours last.
>> 
>> Thank you, I did not know that. I guess Junio should be kept last though ?
>> Or maybe  I should remove Junio's sign-off if I send a new version of the 
>> patch ?
>
> You should *not* remove Junio's Signed-off-by, because the patch went
> through his hands before you picked it up. Then you add your own
> sign-off below. Later, Junio will sign it off again.

In the meantime, this is how I tweaked while queuing.

    Co-authored-by: Johannes Sixt <[email-masked]>
    Signed-off-by: Michael Lohmann <[email-masked]>
    [jc: tweaked in j6t's precedence fix that tries REBASE_HEAD last]
    Signed-off-by: Junio C Hamano <[email-masked]>
    [pb: greatly enhanced the log message]
    Signed-off-by: Philippe Blain <[email-masked]>
    Signed-off-by: Junio C Hamano <[email-masked]>